Subject: Re: [sup-devel] Mail-to-self does not end up in inbox

From: Hamish Downer <[email-masked]>
Date: Mon, 20 Jun 2011 00:39:24 +0100

Excerpts from Amadeusz Żołnowski's message of Mon Mar 07 08:27:56 +0000 2011:
> Excerpts from Ico Doornekamp's message of Sun Mar 06 18:34:56 +0000 2011:
> > Back in the old days when using mutt, I regularly used to send mails to
> > myself as reminders or short notes. Sup however shows intelligent
> > behaviour, recognizes the message is both sent and received, and
> > attaches a 'sent' label to it, and thus the mail does not show up in the
> > inbox.
> 
> Why not have requested behaviour (sent mail in inbox) and hook for
> archiving?  E.g. I am usually modyfing labels on sent mail.  And it's
> easier to archive sent mail than unarchive it.

I've thought about this more and added an option ":archive_sent" to
allow this. The default value is "true", so sent mail will continue to
be archived if you do nothing. Change it to false if you want to have
sent mail show up in your inbox.

This is in the archive_sent branch and has been merged into next.

I may at some point have a go at making it possible to edit labels while
composing messages, but that may be overly complex ...

And as a side note, I've looked through the history and it looks like
the sent source has always been set up to archive the mail, but maybe a
bug elsewhere in the code "fixed" it so that the sent mail really was
archived.

Hamish
_______________________________________________
Sup-devel mailing list
[email-masked]
http://rubyforge.org/mailman/listinfo/sup-devel